classification
Title: VSTS builds should use jobs, pools, and test results
Type: Stage: resolved
Components: Build, Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: David Staheli, miss-islington, steve.dower
Priority: normal Keywords: patch

Created on 2018-09-04 21:37 by David Staheli, last changed 2018-09-24 13:15 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9068 closed python-dev, 2018-09-04 21:55
PR 9210 merged steve.dower, 2018-09-14 15:46
PR 9401 merged miss-islington, 2018-09-18 18:19
PR 9402 merged miss-islington, 2018-09-18 18:19
PR 9521 merged steve.dower, 2018-09-23 21:06
PR 9527 merged miss-islington, 2018-09-24 11:45
PR 9528 merged steve.dower, 2018-09-24 11:51
PR 9532 merged steve.dower, 2018-09-24 12:05
Messages (9)
msg325294 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-13 20:37
Thanks, David!

I'm partway through most of these changes (as well as some other improvements) in my PR at https://github.com/python/cpython/pull/9210/files, so if it's all the same to you, I'll make sure I've covered everything you've done here and then close yours. Sound good?
msg325355 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-14 15:45
Co-opting this bug for my own PR, that will include these changes as well as generating JUnit-format test results and publishing them in Azure Pipelines builds.
msg325662 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-18 16:10
New changeset d0f49d2f5085ca68e3dc8725f1fb1c9674bfb5ed by Steve Dower in branch 'master':
bpo-34582: Adds JUnit XML output for regression tests (GH-9210)
https://github.com/python/cpython/commit/d0f49d2f5085ca68e3dc8725f1fb1c9674bfb5ed
msg325670 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-18 18:48
New changeset 1a89cb5c479d8e4f467d7f96e1781c7275cefa88 by Steve Dower (Miss Islington (bot)) in branch '3.7':
bpo-34582: Adds JUnit XML output for regression tests (GH-9210)
https://github.com/python/cpython/commit/1a89cb5c479d8e4f467d7f96e1781c7275cefa88
msg325671 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-18 18:58
New changeset c9276495fc497898544a38b244b38ff61797f32d by Steve Dower (Miss Islington (bot)) in branch '3.6':
bpo-34582: Adds JUnit XML output for regression tests (GH-9210)
https://github.com/python/cpython/commit/c9276495fc497898544a38b244b38ff61797f32d
msg326223 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-24 11:44
New changeset 57675090b0fe7d6c7d72e56384dc2ff6798f1723 by Steve Dower in branch 'master':
bpo-34582: Update syntax of Azure Pipelines builds (GH-9521)
https://github.com/python/cpython/commit/57675090b0fe7d6c7d72e56384dc2ff6798f1723
msg326230 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-24 12:43
New changeset 657fdf2eba617ade49052de91cafeb373b652077 by Steve Dower (Miss Islington (bot)) in branch '3.7':
bpo-34582: Update syntax of Azure Pipelines builds (GH-9521)
https://github.com/python/cpython/commit/657fdf2eba617ade49052de91cafeb373b652077
msg326232 - (view) Author: miss-islington (miss-islington) Date: 2018-09-24 12:53
New changeset 73653062b1ef76b879c01a09163db2cff6548c3c by Miss Islington (bot) (Steve Dower) in branch '3.6':
[3.6] bpo-34582: Update syntax of Azure Pipelines builds (GH-9521) (GH-9528)
https://github.com/python/cpython/commit/73653062b1ef76b879c01a09163db2cff6548c3c
msg326233 - (view) Author: miss-islington (miss-islington) Date: 2018-09-24 13:03
New changeset 1b77f929f8d18e9a97335a8ec5e838e5be506568 by Miss Islington (bot) (Steve Dower) in branch 'master':
bpo-34582: Fixes Python version used for patch check (GH-9532)
https://github.com/python/cpython/commit/1b77f929f8d18e9a97335a8ec5e838e5be506568
History
Date User Action Args
2018-09-24 13:15:38steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-09-24 13:03:06miss-islingtonsetmessages: + msg326233
2018-09-24 12:53:39miss-islingtonsetnosy: + miss-islington
messages: + msg326232
2018-09-24 12:43:39steve.dowersetmessages: + msg326230
2018-09-24 12:05:57steve.dowersetpull_requests: + pull_request8935
2018-09-24 11:51:15steve.dowersetpull_requests: + pull_request8934
2018-09-24 11:45:14miss-islingtonsetpull_requests: + pull_request8933
2018-09-24 11:44:55steve.dowersetmessages: + msg326223
2018-09-23 21:06:40steve.dowersetpull_requests: + pull_request8925
2018-09-18 18:58:14steve.dowersetmessages: + msg325671
2018-09-18 18:48:34steve.dowersetmessages: + msg325670
2018-09-18 18:19:52miss-islingtonsetpull_requests: + pull_request8825
2018-09-18 18:19:43miss-islingtonsetpull_requests: + pull_request8824
2018-09-18 16:10:32steve.dowersetmessages: + msg325662
2018-09-14 15:46:09steve.dowersetpull_requests: + pull_request8734
2018-09-14 15:45:42steve.dowersetversions: + Python 3.6, Python 3.7, Python 3.8
title: VSTS builds should use new YAML syntax and pools -> VSTS builds should use jobs, pools, and test results
messages: + msg325355

assignee: steve.dower
components: + Build, Tests
2018-09-13 20:37:13steve.dowersetmessages: + msg325294
2018-09-13 15:11:29ned.deilysetnosy: + steve.dower
2018-09-04 21:55:33python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8527
2018-09-04 21:37:11David Stahelicreate